# œ.js
## A JavaScript library similar to jQuery, that manipulates the DOM. By the way, this is my first JS library.
___
[![GitHub version](https://badge.fury.io/gh/RailRunner16%2Foe.js.svg)](https://badge.fury.io/gh/RailRunner16%2Foe.js)
[![npm version](https://badge.fury.io/js/oe-like-jquery.svg)](https://badge.fury.io/js/oe-like-jquery)
[![npm](https://img.shields.io/npm/l/express.svg)](https://github.com/RailRunner16/oe.js/blob/add-license-1/LICENSE)
___
### Selecting a DOM element:
`œ()` is this library's equivalent to jQuery's `$()`. It can select elements by class name, id, or tag name:
> | # | Selector Type | Syntax             |
> |---|---------------|--------------------|
> | 1 | Tag Name      | `œ("tagname")`     |
> | 2 | Class Name    | `œ(".class-name")` |
> | 3 | ID            | `œ("#id")`         |
___
### Functions:
1. `show()`:
  - Displays a hidden DOM element. If the DOM element is visible already, it will do nothing.
  - Syntax:
    ```javascript
    œ(selector).show();
    ```
2. `hide()`:
  - Hides a visible DOM element. If the DOM element is already hidden, it will do nothing.
  - Syntax:
    ```javascript
    œ(selector).hide();
    ```
3. `html(value)` or `html()`:
  - Sets or returns the content of a given HTML element.
  - Syntax:
    ```javascript
    // To set content:
    œ(selector).html(value);
    
    // To return content:
    var x = œ(selector).html();
    ```
4. `on(event, callback)`:
  - This function gives the selected element(s) one or more event handlers. It will work on any element.
  - Syntax:
  ```javascript
  œ(selector).on(event, function(){
    // Perform your operation here
  });
  ```
